Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleJarLoader

    java.lang.Object
      com.ibm.able.editor.AbleJarLoader

public class AbleJarLoader
extends java.lang.Object

Constructor Summary
`AbleJarLoader(java.lang.String jarName)` Create a JarLoader to read a JAR and to process its contents.

Method Summary
`java.lang.ClassLoader` | `getLoader()` get the loader we are using
`AbleJarInfo` | `loadJar()` Load the classes, resources, etc.
`static void` | `loadJarDoOnBean(java.lang.String jarFile, AbleDoOnBean action)` Load the JAR file, then apply an action to each bean found

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleJarLoader

    public AbleJarLoader(java.lang.String jarName)
                  throws java.io.FileNotFoundException

  Create a JarLoader to read a JAR and to process its contents. Classes and resources are loaded against a single common class loader instance so that things like "adaptor class instantiaton" can work. Loading is started with loadIt()

Method Detail

### getLoader

    public java.lang.ClassLoader getLoader()

  get the loader we are using

### loadJar

    public AbleJarInfo loadJar()
                        throws java.io.IOException

  Load the classes, resources, etc.

  Throws:
    `java.io.IOException`

### loadJarDoOnBean

    public static void loadJarDoOnBean(java.lang.String jarFile,
                                       AbleDoOnBean action)
                                throws java.io.IOException

  Load the JAR file, then apply an action to each bean found

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005